CDECL(1)

NAME
cundecl - encode C type declarations

SYNOPSIS
cundecl [-V] [-o file] [file ...]

DESCRIPTION
The cundecl utility reads a verbose english description and produces a C type declaration. Casts are accepted as well.

The options are as follows:

-o file
    Set the output destination to file.

-V  Print version information on standard output then exit.

EXAMPLES

    declare s as pointer to char;
    declare x as function (fmt as pointer to const char, ...) returning int;
    cast s into pointer to const char;
    cast f into pointer to function (int) returning void;

SEE ALSO
cdecl(1)

STANDARDS
The cundecl utility is expected to be ansiC-89 compatible.

AUTHORS
Sandro Sigala <sandro@sigala.it>. Based on cdecl written and put in the public domain by Graham Ross.